{
  "Sheet1": [
    {
      "rowNo": "",
      "SName": "",
      "SFName": "",
      "StdNo": "",
      "PS1": ""
    },
    {
      "rowNo": 1,
      "SName": "امين",
      "SFName": "كياني",
      "StdNo": 9332945,
      "PS1": "Q17 : 0 points ; no file"
    },
    {
      "rowNo": 2,
      "SName": "بهاره",
      "SFName": "شيرکاني",
      "StdNo": 9532244,
      "PS1": "Q17 : 100 points ; correct\n(19) -> 90\n if ( 0< i <  100   )  (-10) \n(22) -> 100\n"
    },
    {
      "rowNo": 3,
      "SName": "يونس",
      "SFName": "محمدي شيوه کش",
      "StdNo": 9532529,
      "PS1": "Q17 : 100 points ; correct\n(19) -> 90\nmain(void)\n(22) -> 100\n"
    },
    {
      "rowNo": 4,
      "SName": "حديث",
      "SFName": "حافظي",
      "StdNo": 9532789,
      "PS1": "Q17 : 0 points ; no file\n(19) : 50\ncounter = 0 ; (-10)\nc = getchar(); // in ghalate (-10)\nc = getchar()!= EOF  // paranteze in koo ? (-20)\nprintf(\"counter\"); // in counter int bood na string (-10)\n\n(22) : 45\nI asked for the reason not the out put ( -20 )\nOne of the outputs is missing (-33)\nreturn 0 -20\n"
    },
    {
      "rowNo": 5,
      "SName": "زينب",
      "SFName": "كامكار",
      "StdNo": 9533521,
      "PS1": "Q17 : 100 points ; correct\n(19) : 90\nmain() // void (-10)\n(22): 0\ncorrupted \n"
    },
    {
      "rowNo": 6,
      "SName": "راضيه",
      "SFName": "زارع",
      "StdNo": 9632417,
      "PS1": "Q17 : 100 points ; correct\n(19) : 90\nmain() // void  (-10)\n(22):100\n"
    },
    {
      "rowNo": 7,
      "SName": "رضا",
      "SFName": "چيت ساز",
      "StdNo": 9632418,
      "PS1": "Q17 : 0 points ; no file"
    },
    {
      "rowNo": 8,
      "SName": "مجيد",
      "SFName": "سلامي",
      "StdNo": 9632444,
      "PS1": [
        "Q17 : 100 points ; correct\n(19) : 66\nprintf( %c",
        "65); in chekr mikone ? (-33)\n(22):90\nmain() // void nadare (-10)"
      ]
    },
    {
      "rowNo": 9,
      "SName": "سامان",
      "SFName": "شاه حسيني",
      "StdNo": 9632422,
      "PS1": "Q17 : 85 points ; no avg found\n(19) : 90\nmain() // void koo ? (-10)\n(22) : 100\n"
    },
    {
      "rowNo": 10,
      "SName": "علي",
      "SFName": "شاهسوندي",
      "StdNo": 9632434,
      "PS1": "Q17 : 100 points ; correct\n(22) : 100\n(19) : 30\n main()  // void (-10)\nc = getchar() // parantezash koo ? (-20)\nCounter++ koo ? (-10)\n                if ( c == ' ' || c == '\\n' ) {\n                        counter = counter + 1 ;\n                }\nIn tikke koo >?? ( -30 )\nReturn 0 (-20)\n"
    },
    {
      "rowNo": 11,
      "SName": "محمدرضا",
      "SFName": "رستگاري",
      "StdNo": 9632452,
      "PS1": "Q17 : 0 points ; no file"
    },
    {
      "rowNo": 12,
      "SName": "مصطفي",
      "SFName": "زيوري",
      "StdNo": 9632454,
      "PS1": "Q17 : 0 points ; no file"
    },
    {
      "rowNo": 13,
      "SName": "معصومه",
      "SFName": "خلفي",
      "StdNo": 9632455,
      "PS1": [
        "Q17 : 70 ; bad algorithm in saving numbers",
        "dont define variables in for init section\n(19) :60\nReturn 0 -20\nmain() (-10)\n int counter; (-10)\n(22) : 100"
      ]
    },
    {
      "rowNo": 14,
      "SName": "ساينا",
      "SFName": "دانشمندجهرمي",
      "StdNo": 9632644,
      "PS1": "Q17 : 100 points ; correct\n(19) : 60\nmain() //void koo(-10)\nReturn 0 -20\nint counter; ?? = 0 (-10) \n(22): 100\n"
    },
    {
      "rowNo": 15,
      "SName": "صدف",
      "SFName": "سيمان تو",
      "StdNo": 9632655,
      "PS1": "Q17 : 0 points ; no file"
    },
    {
      "rowNo": 16,
      "SName": "كيانوش",
      "SFName": "مرادي شكرو",
      "StdNo": 9632669,
      "PS1": [
        "Q17 : 80 points ; output is correct",
        "bad indentation",
        "confusing algorithm\n(19) : 90\nmain() // void (-10)\n(22):100"
      ]
    },
    {
      "rowNo": 17,
      "SName": "محمدحسين",
      "SFName": "اله اكبري",
      "StdNo": 9632854,
      "PS1": "Q17 : 100 points ; correct\n(19) : 70\nint counter; (-10)\nReturn 0 -20\n(22):100\n"
    },
    {
      "rowNo": 18,
      "SName": "محمدهادي",
      "SFName": "كشاورزي",
      "StdNo": 9632866,
      "PS1": "Q17 : 100 points ; correct\n(19) : 80 \nmain() // void\nCounter; =0 \n(22) :100\n"
    },
    {
      "rowNo": 19,
      "SName": "عليرضا",
      "SFName": "بحراني",
      "StdNo": 9633786,
      "PS1": [
        "Q17 : 50 points ; no indentation",
        "wrong output\n(19): 90\nmain() // void\nReturn 0 -20\n(22) : UNKNOWN EXPLAINATIOn"
      ]
    },
    {
      "rowNo": 20,
      "SName": "آرنا",
      "SFName": "رميم پور",
      "StdNo": 9730494,
      "PS1": "Q17 : 0 points ; totally wrong\n(22) :66\nDalile avval dorost nist (-33)\n(19) :90\nmain() // (-10)\n"
    },
    {
      "rowNo": 21,
      "SName": "مرضيه",
      "SFName": "رهنما",
      "StdNo": 9730498,
      "PS1": "Q17 : 0 points ; syntax error\n(19):50\nmain()(-10)\nCounter;(-10)\nc=getchar() (-30)\n(22) : 0\nCorrupted file\n"
    },
    {
      "rowNo": 22,
      "SName": "احمد",
      "SFName": "دريانورد",
      "StdNo": 9732475,
      "PS1": "Q17 : 100 points ; correct\n(19) :70\n0 < i || i <  100 -> (-20)\nmain() (-10)\nReturn 0 -20\n(22) : 100\n"
    },
    {
      "rowNo": 23,
      "SName": "اميرمحمد",
      "SFName": "توکلي",
      "StdNo": 9732480,
      "PS1": "Q17 : 100 points ; correct\n(19):70\nint counter; (-10)\nReturn 0 -20\n(22):100\n"
    },
    {
      "rowNo": 24,
      "SName": "اميرمسعود",
      "SFName": "باغي",
      "StdNo": 9732481,
      "PS1": "Cheat ( -50 )"
    },
    {
      "rowNo": 25,
      "SName": "اميرمسعود",
      "SFName": "حيدري ارجلو",
      "StdNo": 9732482,
      "PS1": "Q17 : 100 points ; correct\n(19):90\n main() (-10)\n(22):100\n"
    },
    {
      "rowNo": 26,
      "SName": "ايدا",
      "SFName": "اکبري نژاد",
      "StdNo": 9732483,
      "PS1": "Q17 : 100 points ; correct\n(19):90\nmain()(-10)\n(22):100\n"
    },
    {
      "rowNo": 27,
      "SName": "پويا",
      "SFName": "تيموري ارخلو",
      "StdNo": 9732485,
      "PS1": "Q17 : 95 points ; you could use printf() better\n (19):\nmain() (-10)\n(22): 0\nCorrupted file\n"
    },
    {
      "rowNo": 28,
      "SName": "حسين",
      "SFName": "محمدي",
      "StdNo": 9732487,
      "PS1": "Q17 : 0 points ; no file"
    },
    {
      "rowNo": 29,
      "SName": "درسا",
      "SFName": "مطيع اله",
      "StdNo": 9732490,
      "PS1": [
        "Q17 : 80 points ; problem in calculating avg",
        "you could use printf() better\nint counter(-10)\nReturn 0 -20\nmain()(-10)\n(22):100"
      ]
    },
    {
      "rowNo": 30,
      "SName": "رامين",
      "SFName": "روشن",
      "StdNo": 9732491,
      "PS1": "Q17 : 100 points ; correct\n(19) :\nReturn 0 -20\nif ( 0< i <  100   ) (-10)\nmain() (-10)\n(22): 100\n"
    },
    {
      "rowNo": 31,
      "SName": "ريحانه",
      "SFName": "علي ياري زاده",
      "StdNo": 9732492,
      "PS1": "Q17 : 0 points ; no file"
    },
    {
      "rowNo": 32,
      "SName": "ريحانه",
      "SFName": "فلاحي",
      "StdNo": 9732493,
      "PS1": "Q17 : 100 points ; correct\n(19) : 70\nReturn 0 -20\nmain() (-10)\n(22) : 100\n"
    },
    {
      "rowNo": 33,
      "SName": "زهرا",
      "SFName": "جمالي",
      "StdNo": 9732495,
      "PS1": "Q17 : 100 points ; correct\n(19) :\nif ( 0< i <  100   ) (-10)\n main() (-10)\n(22) : 100\n"
    },
    {
      "rowNo": 34,
      "SName": "زهرا",
      "SFName": "صداقت",
      "StdNo": 9732496,
      "PS1": "Q17 : 90 points ; wrong max in some testcases\n(19) : 100\n(22) : 100 \n"
    },
    {
      "rowNo": 35,
      "SName": "زهرا",
      "SFName": "محمدپور",
      "StdNo": 9732497,
      "PS1": "Q17 : 98 points ; strange output\n(19) :\nmain() -10\nReturn 0 -20\n(22):100\n"
    },
    {
      "rowNo": 36,
      "SName": "ساسان",
      "SFName": "وحيدي نيا",
      "StdNo": 9732499,
      "PS1": "CHEAT -50"
    },
    {
      "rowNo": 37,
      "SName": "سياوش",
      "SFName": "جان احمديان فيروزابادي",
      "StdNo": 9732503,
      "PS1": "CHEAT -50\n"
    },
    {
      "rowNo": 38,
      "SName": "سيده يکتا",
      "SFName": "کمانه",
      "StdNo": 9732504,
      "PS1": "Q17 : 100 points ; correct\n 19 -  int counter; // -10\n22 - ghesmate sevvomesh chera khob injoorie ? (-33)\n"
    },
    {
      "rowNo": 39,
      "SName": "عارف",
      "SFName": "سياره",
      "StdNo": 9732507,
      "PS1": "Q17 : 0 points ; no file"
    },
    {
      "rowNo": 40,
      "SName": "عبدالرحيم",
      "SFName": "تورانيان",
      "StdNo": 9732508,
      "PS1": "Q17 : 0 points ; syntax error\n19 - 0 ( No file attached )\n22 - 100\n"
    },
    {
      "rowNo": 41,
      "SName": "عرفان",
      "SFName": "معيني",
      "StdNo": 9732509,
      "PS1": "Q17 : 100 points ; correct\n22 - 100\n19-70\nRetrun 0 -20\nmain() : -10\n"
    },
    {
      "rowNo": 42,
      "SName": "علي",
      "SFName": "حقيقت",
      "StdNo": 9732511,
      "PS1": "Q17 : 85 points ; confusing and bad variable name\n19 - 70\nmain ()  -10\n Counter -10\nif ( 0< i <  100   ) -10\n"
    },
    {
      "rowNo": 43,
      "SName": "علي",
      "SFName": "ساماني",
      "StdNo": 9732512,
      "PS1": "Q17 : -50 points ; cheat"
    },
    {
      "rowNo": 44,
      "SName": "علي",
      "SFName": "کريمي",
      "StdNo": 9732513,
      "PS1": "Q17 : 0 points ; syntax error"
    },
    {
      "rowNo": 45,
      "SName": "عليرضا",
      "SFName": "داودي",
      "StdNo": 9732514,
      "PS1": "Q17 : 100 points ; correct"
    },
    {
      "rowNo": 46,
      "SName": "محمد",
      "SFName": "باستين",
      "StdNo": 9732518,
      "PS1": "Q17 : 0 points ; no file"
    },
    {
      "rowNo": 47,
      "SName": "محمد",
      "SFName": "عشرتي",
      "StdNo": 9732520,
      "PS1": "Q17 : 90 points ; bad indentation\n(19) :80\nReturn 0 -20\nint counter ; -10\nif ( 0 < i < 100 ) -10\n(22):100\n"
    },
    {
      "rowNo": 48,
      "SName": "محمد",
      "SFName": "فولادي",
      "StdNo": 9732521,
      "PS1": "Q17 : 100 points ; correct\n(19) : 70\nReturn 0 -20\n Main -10\nif ( '0' < i < '100' ) -10\n"
    },
    {
      "rowNo": 49,
      "SName": "محمد",
      "SFName": "مهديان",
      "StdNo": 9732522,
      "PS1": "Q17 : 100 points ; correct\n19 - 90\nmain ()  -10\n22 - 100\n"
    },
    {
      "rowNo": 50,
      "SName": "محمداحسان",
      "SFName": "کاجي يزدي",
      "StdNo": 9732523,
      "PS1": "Q17 : 100 points ; well-done\n22 - 100\n19 - 60\nReturn 0 -20\nMain -10\nCounter -10\n"
    },
    {
      "rowNo": 51,
      "SName": "مرصاد",
      "SFName": "خلفي",
      "StdNo": 9732526,
      "PS1": "Q17 : 80 points ; avg function return integer!\n19-\nmain() (-10)\nReturn 0 (-20)\nc = getchar() != EOF (-20)\n22 - 100\n"
    },
    {
      "rowNo": 52,
      "SName": "مهدي",
      "SFName": "فقهي",
      "StdNo": 9732527,
      "PS1": [
        "Q17 : 40 points ; wrong avg",
        "wrong sum",
        "bad algorithm\n22 - 100\n19 - 70\nif ( 0< i <  100   ) -10\nmain() -10"
      ]
    },
    {
      "rowNo": 53,
      "SName": "ميترا",
      "SFName": "برکشلومنصوري",
      "StdNo": 9732529,
      "PS1": "Q17 : 100 points ; correct\n19 - 90\n int​ main -10\n22 - corrupted file 0\n"
    },
    {
      "rowNo": 54,
      "SName": "مينا",
      "SFName": "نيرنيا",
      "StdNo": 9732530,
      "PS1": "Q17 : 85 points ; use better algorithm\n19 -  90\nReturn 0 -20\nmain() -10\n22 - 100\n"
    },
    {
      "rowNo": 55,
      "SName": "نگين",
      "SFName": "شيرواني",
      "StdNo": 9732531,
      "PS1": "Q17 : 95 points ; avg function return type should be float\n19 -  60\nReturn 0 -20\n int counter; -10\nmain() -10\n22 - 100\n"
    },
    {
      "rowNo": 56,
      "SName": "سيداحسان",
      "SFName": "موسوي پور",
      "StdNo": 9734259,
      "PS1": "Q17 : 90 points\n19 - 70\nif (0<i<100) -10\nmain() -10\n22-100\n"
    },
    {
      "rowNo": 57,
      "SName": "شايان",
      "SFName": "زمان پور",
      "StdNo": 9734278,
      "PS1": "Q17 : 0 points ; no file"
    },
    {
      "rowNo": 58,
      "SName": "سيد محمد حسين",
      "SFName": "هاشمي",
      "StdNo": 9734289,
      "PS1": "Q17 : 100 points ; correct\n19- 60\nReturn 0 -20\nmain() -10\nReturn 0 (-20)\n22 - 100\n"
    },
    {
      "rowNo": 59,
      "SName": "زهرا",
      "SFName": "جناب زاده",
      "StdNo": 9734290,
      "PS1": "Q17 : 100 points ; correct\n19- 90\nint main() -10\n22  -100\n"
    },
    {
      "rowNo": 60,
      "SName": "پويا",
      "SFName": "فکري",
      "StdNo": 9734491,
      "PS1": "Q17 : 100 points ; correct\n19 - 70\n        if ( 0 < i <  100   ) (-20_\nmain() (-10)\n22-100\n"
    },
    {
      "rowNo": 61,
      "SName": "عرفان",
      "SFName": "صبوری",
      "StdNo": 9532578,
      "PS1": ""
    },
    {
      "rowNo": 62,
      "SName": "حسین",
      "SFName": "دهقانی پور",
      "StdNo": 9532250,
      "PS1": ""
    },
    {
      "rowNo": 61,
      "SName": "",
      "SFName": "",
      "StdNo": "",
      "PS1": ""
    }
  ]
}